<div class="pt-1 w-auto h-auto">
    <p-card>
        <p-fieldset legend="Uploadissue">
            <div class="grid">
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <span class="p-column-title">เลขที่ใบส่งต่อ</span>
                        <input id="att_name" type="text" [(ngModel)]="refer_no" class="inputfield w-full" pInputText
                            placeholder="">
                    </div>
                </div>
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <span class="p-column-title">UserID</span>
                        <input id="att_name" type="text" [(ngModel)]="fullname" class="inputfield w-full" pInputText
                            placeholder="">
                    </div>
                </div>
            </div>
            <div class="grid">
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <label for="code">att_name</label>
                        <input id="att_name" type="text" [(ngModel)]="fullname" class="inputfield w-full" pInputText
                            placeholder="">
                    </div>
                </div>
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <label for="code">help_detail</label>
                        <input id="att_name" type="text" [(ngModel)]="fullname" class="inputfield w-full" pInputText
                            placeholder="">
                    </div>
                </div>
            </div>
            <div class="grid">
                <div class="col-6">
                    <div class="field col-12 md:col-3">
                        <mat-label>เลือกไฟล์ : </mat-label>
                        <button mat-raised-button (click)="fileInput.click()"> {{ file ? file.name : 'Select' }}
                        </button>
                    </div>
                </div>
                <div class="col-6">
                    <div class="field col-12 md:col-3">
                        <input hidden type="file" #fileInput (change)="onFileInput(fileInput.files)" />
                        <button [disabled]="!file" type="submit" mat-raised-button color="primary"
                            (click)="onSaveUpload()">บันทึก</button>
                    </div>
                </div>
            </div>
            <!-- </div>
        </div> -->
        </p-fieldset>
    </p-card>

</div>